#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './generalsettings.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "generalsettings.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qcheckbox.h>
#include <qbuttongroup.h>
#include <kseparator.h>
#include <qradiobutton.h>
#include <kactivelabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kseparator.h"
#include "kactivelabel.h"

/*
 *  Constructs a GeneralSetting as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
GeneralSetting::GeneralSetting( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "GeneralSetting" );
    GeneralSettingLayout = new QGridLayout( this, 1, 1, 0, 6, "GeneralSettingLayout"); 

    groupBox1 = new QGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new QGridLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    lblGeneralImage = new QLabel( groupBox1, "lblGeneralImage" );
    lblGeneralImage->setAlignment( int( QLabel::AlignTop | QLabel::AlignLeft ) );

    groupBox1Layout->addMultiCellWidget( lblGeneralImage, 0, 2, 0, 0 );
    spacer5 = new QSpacerItem( 20, 5, QSizePolicy::Minimum, QSizePolicy::Fixed );
    groupBox1Layout->addItem( spacer5, 0, 2 );
    spacer3 = new QSpacerItem( 30, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    groupBox1Layout->addItem( spacer3, 2, 3 );

    chkAskQuit = new QCheckBox( groupBox1, "chkAskQuit" );

    groupBox1Layout->addWidget( chkAskQuit, 2, 2 );

    chkAutostart = new QCheckBox( groupBox1, "chkAutostart" );

    groupBox1Layout->addWidget( chkAutostart, 1, 2 );
    spacer7 = new QSpacerItem( 5, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    groupBox1Layout->addMultiCell( spacer7, 1, 2, 1, 1 );

    GeneralSettingLayout->addWidget( groupBox1, 0, 0 );
    spacer2 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    GeneralSettingLayout->addItem( spacer2, 2, 0 );

    buttonGroup2 = new QButtonGroup( this, "buttonGroup2" );
    buttonGroup2->setColumnLayout(0, Qt::Vertical );
    buttonGroup2->layout()->setSpacing( 6 );
    buttonGroup2->layout()->setMargin( 11 );
    buttonGroup2Layout = new QGridLayout( buttonGroup2->layout() );
    buttonGroup2Layout->setAlignment( Qt::AlignTop );
    spacer4 = new QSpacerItem( 20, 5, QSizePolicy::Minimum, QSizePolicy::Fixed );
    buttonGroup2Layout->addItem( spacer4, 0, 3 );

    sepWarning = new KSeparator( buttonGroup2, "sepWarning" );

    buttonGroup2Layout->addMultiCellWidget( sepWarning, 3, 3, 1, 4 );
    spacer2_2 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    buttonGroup2Layout->addMultiCell( spacer2_2, 1, 2, 4, 4 );

    optKeysInWallet = new QRadioButton( buttonGroup2, "optKeysInWallet" );

    buttonGroup2Layout->addMultiCellWidget( optKeysInWallet, 2, 2, 2, 3 );

    optKeysUnencrypted = new QRadioButton( buttonGroup2, "optKeysUnencrypted" );

    buttonGroup2Layout->addMultiCellWidget( optKeysUnencrypted, 1, 1, 2, 3 );
    spacer6 = new QSpacerItem( 5, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    buttonGroup2Layout->addMultiCell( spacer6, 1, 2, 1, 1 );

    lblImage = new QLabel( buttonGroup2, "lblImage" );
    lblImage->setAlignment( int( QLabel::AlignTop | QLabel::AlignLeft ) );

    buttonGroup2Layout->addMultiCellWidget( lblImage, 0, 4, 0, 0 );

    imgWarning = new QLabel( buttonGroup2, "imgWarning" );
    imgWarning->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)4, (QSizePolicy::SizeType)5, 0, 0, imgWarning->sizePolicy().hasHeightForWidth() ) );

    buttonGroup2Layout->addWidget( imgWarning, 4, 2 );

    lblWarning = new KActiveLabel( buttonGroup2, "lblWarning" );
    lblWarning->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, lblWarning->sizePolicy().hasHeightForWidth() ) );

    buttonGroup2Layout->addMultiCellWidget( lblWarning, 4, 4, 3, 4 );

    GeneralSettingLayout->addWidget( buttonGroup2, 1, 0 );
    languageChange();
    resize( QSize(533, 370).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
GeneralSetting::~GeneralSetting()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void GeneralSetting::languageChange()
{
    setCaption( tr2i18n( "Form2" ) );
    groupBox1->setTitle( QString::null );
    lblGeneralImage->setText( QString::null );
    chkAskQuit->setText( tr2i18n( "Ask if KNetworkManager should really quit on exit" ) );
    chkAutostart->setText( tr2i18n( "Start KNetworkManager automatically on login" ) );
    buttonGroup2->setTitle( QString::null );
    optKeysInWallet->setText( tr2i18n( "Store Keys in KWallet" ) );
    optKeysUnencrypted->setText( tr2i18n( "Store Keys in Configfile (Unencrypted)" ) );
    lblImage->setText( QString::null );
    imgWarning->setText( QString::null );
}

#include "generalsettings.moc"
