#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './manageconnections.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "manageconnections.h"

#include <qvariant.h>
#include <qheader.h>
#include <klistview.h>
#include <qbuttongroup.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klistview.h"
#include "kpushbutton.h"

/*
 *  Constructs a ManageConnectionsDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
ManageConnectionsDialog::ManageConnectionsDialog( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "ManageConnectionsDialog" );
    ManageConnectionsDialogLayout = new QHBoxLayout( this, 11, 6, "ManageConnectionsDialogLayout"); 

    klvConnections = new KListView( this, "klvConnections" );
    klvConnections->addColumn( tr2i18n( "Connection" ) );
    klvConnections->addColumn( tr2i18n( "Service" ) );
    ManageConnectionsDialogLayout->addWidget( klvConnections );

    buttonGroup1 = new QButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setFrameShape( QButtonGroup::NoFrame );
    buttonGroup1->setColumnLayout(0, Qt::Vertical );
    buttonGroup1->layout()->setSpacing( 6 );
    buttonGroup1->layout()->setMargin( 0 );
    buttonGroup1Layout = new QVBoxLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( Qt::AlignTop );

    pushAdd = new KPushButton( buttonGroup1, "pushAdd" );
    buttonGroup1Layout->addWidget( pushAdd );

    pushEdit = new KPushButton( buttonGroup1, "pushEdit" );
    buttonGroup1Layout->addWidget( pushEdit );

    pushRemove = new KPushButton( buttonGroup1, "pushRemove" );
    buttonGroup1Layout->addWidget( pushRemove );

    pushImport = new KPushButton( buttonGroup1, "pushImport" );
    buttonGroup1Layout->addWidget( pushImport );
    spacer1 = new QSpacerItem( 20, 130, QSizePolicy::Minimum, QSizePolicy::Expanding );
    buttonGroup1Layout->addItem( spacer1 );

    pushClose = new KPushButton( buttonGroup1, "pushClose" );
    buttonGroup1Layout->addWidget( pushClose );
    ManageConnectionsDialogLayout->addWidget( buttonGroup1 );
    languageChange();
    resize( QSize(587, 364).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pushClose, SIGNAL( clicked() ), this, SLOT( close() ) );
    connect( pushEdit, SIGNAL( clicked() ), this, SLOT( editConnection() ) );
    connect( pushRemove, SIGNAL( clicked() ), this, SLOT( removeConnection() ) );
    connect( pushAdd, SIGNAL( clicked() ), this, SLOT( addConnection() ) );
    connect( pushImport, SIGNAL( clicked() ), this, SLOT( importConnection() ) );
    connect( klvConnections, SIGNAL( selectionChanged(QListViewItem*) ), this, SLOT( connectionSelected(QListViewItem*) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ManageConnectionsDialog::~ManageConnectionsDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ManageConnectionsDialog::languageChange()
{
    setCaption( tr2i18n( "Manage Connections" ) );
    klvConnections->header()->setLabel( 0, tr2i18n( "Connection" ) );
    klvConnections->header()->setLabel( 1, tr2i18n( "Service" ) );
    buttonGroup1->setTitle( QString::null );
    pushAdd->setText( tr2i18n( "Add" ) );
    pushEdit->setText( tr2i18n( "Edit" ) );
    pushRemove->setText( tr2i18n( "Delete" ) );
    pushImport->setText( tr2i18n( "Import" ) );
    pushClose->setText( tr2i18n( "Close" ) );
}

void ManageConnectionsDialog::addConnection()
{
    qWarning( "ManageConnectionsDialog::addConnection(): Not implemented yet" );
}

void ManageConnectionsDialog::editConnection()
{
    qWarning( "ManageConnectionsDialog::editConnection(): Not implemented yet" );
}

void ManageConnectionsDialog::removeConnection()
{
    qWarning( "ManageConnectionsDialog::removeConnection(): Not implemented yet" );
}

void ManageConnectionsDialog::close()
{
    qWarning( "ManageConnectionsDialog::close(): Not implemented yet" );
}

void ManageConnectionsDialog::importConnection()
{
    qWarning( "ManageConnectionsDialog::importConnection(): Not implemented yet" );
}

void ManageConnectionsDialog::connectionSelected(QListViewItem*)
{
    qWarning( "ManageConnectionsDialog::connectionSelected(QListViewItem*): Not implemented yet" );
}

#include "manageconnections.moc"
