#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './cryptowidget.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "cryptowidget.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qcombobox.h>
#include <qgroupbox.h>
#include <qwidgetstack.h>
#include <qradiobutton.h>
#include <kurlrequester.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kurlrequester.h"
#include "klineedit.h"
#include "kpushbutton.h"

/*
 *  Constructs a CryptoWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
CryptoWidget::CryptoWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "CryptoWidget" );
    CryptoWidgetLayout = new QGridLayout( this, 1, 1, 0, 6, "CryptoWidgetLayout"); 

    groupEnc = new QButtonGroup( this, "groupEnc" );
    groupEnc->setCheckable( TRUE );
    groupEnc->setChecked( FALSE );
    groupEnc->setColumnLayout(0, Qt::Vertical );
    groupEnc->layout()->setSpacing( 6 );
    groupEnc->layout()->setMargin( 11 );
    groupEncLayout = new QGridLayout( groupEnc->layout() );
    groupEncLayout->setAlignment( Qt::AlignTop );

    lblEncryption = new QLabel( groupEnc, "lblEncryption" );

    groupEncLayout->addWidget( lblEncryption, 0, 0 );

    lblSecret = new QLabel( groupEnc, "lblSecret" );

    groupEncLayout->addWidget( lblSecret, 1, 0 );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 

    leditSecret = new QLineEdit( groupEnc, "leditSecret" );
    layout3->addWidget( leditSecret );

    cbShow = new QCheckBox( groupEnc, "cbShow" );
    layout3->addWidget( cbShow );

    groupEncLayout->addLayout( layout3, 1, 1 );

    comboEncryption = new QComboBox( FALSE, groupEnc, "comboEncryption" );
    comboEncryption->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, comboEncryption->sizePolicy().hasHeightForWidth() ) );

    groupEncLayout->addWidget( comboEncryption, 0, 1 );

    groupEncAdvanced = new QGroupBox( groupEnc, "groupEncAdvanced" );
    groupEncAdvanced->setEnabled( FALSE );
    groupEncAdvanced->setAlignment( int( QGroupBox::AlignLeft ) );
    groupEncAdvanced->setColumnLayout(0, Qt::Vertical );
    groupEncAdvanced->layout()->setSpacing( 0 );
    groupEncAdvanced->layout()->setMargin( 11 );
    groupEncAdvancedLayout = new QGridLayout( groupEncAdvanced->layout() );
    groupEncAdvancedLayout->setAlignment( Qt::AlignTop );

    stackEncAdvanced = new QWidgetStack( groupEncAdvanced, "stackEncAdvanced" );
    stackEncAdvanced->setEnabled( FALSE );

    advancedWPAPersonalWidget = new QWidget( stackEncAdvanced, "advancedWPAPersonalWidget" );
    advancedWPAPersonalWidgetLayout = new QGridLayout( advancedWPAPersonalWidget, 1, 1, 0, 6, "advancedWPAPersonalWidgetLayout"); 

    comboProtocol = new QComboBox( FALSE, advancedWPAPersonalWidget, "comboProtocol" );
    comboProtocol->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, comboProtocol->sizePolicy().hasHeightForWidth() ) );

    advancedWPAPersonalWidgetLayout->addMultiCellWidget( comboProtocol, 1, 1, 1, 2 );
    spacer1_2 = new QSpacerItem( 20, 70, QSizePolicy::Minimum, QSizePolicy::Expanding );
    advancedWPAPersonalWidgetLayout->addItem( spacer1_2, 2, 2 );

    lblVersion = new QLabel( advancedWPAPersonalWidget, "lblVersion" );

    advancedWPAPersonalWidgetLayout->addWidget( lblVersion, 0, 0 );

    lblProtocol = new QLabel( advancedWPAPersonalWidget, "lblProtocol" );

    advancedWPAPersonalWidgetLayout->addWidget( lblProtocol, 1, 0 );

    radioButtonWPA2 = new QRadioButton( advancedWPAPersonalWidget, "radioButtonWPA2" );
    radioButtonWPA2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, radioButtonWPA2->sizePolicy().hasHeightForWidth() ) );

    advancedWPAPersonalWidgetLayout->addWidget( radioButtonWPA2, 0, 2 );

    radioButtonWPA1 = new QRadioButton( advancedWPAPersonalWidget, "radioButtonWPA1" );
    radioButtonWPA1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, radioButtonWPA1->sizePolicy().hasHeightForWidth() ) );
    radioButtonWPA1->setChecked( TRUE );

    advancedWPAPersonalWidgetLayout->addWidget( radioButtonWPA1, 0, 1 );
    stackEncAdvanced->addWidget( advancedWPAPersonalWidget, 0 );

    advancedWEPWidget = new QWidget( stackEncAdvanced, "advancedWEPWidget" );
    advancedWEPWidgetLayout = new QVBoxLayout( advancedWEPWidget, 0, 6, "advancedWEPWidgetLayout"); 

    layout3_2 = new QHBoxLayout( 0, 0, 6, "layout3_2"); 

    lblAuthentication = new QLabel( advancedWEPWidget, "lblAuthentication" );
    layout3_2->addWidget( lblAuthentication );

    comboAuthentication = new QComboBox( FALSE, advancedWEPWidget, "comboAuthentication" );
    comboAuthentication->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, comboAuthentication->sizePolicy().hasHeightForWidth() ) );
    layout3_2->addWidget( comboAuthentication );
    advancedWEPWidgetLayout->addLayout( layout3_2 );
    spacer1 = new QSpacerItem( 20, 1, QSizePolicy::Minimum, QSizePolicy::Expanding );
    advancedWEPWidgetLayout->addItem( spacer1 );
    stackEncAdvanced->addWidget( advancedWEPWidget, 1 );

    advancedWPAEnterpriseWidget = new QWidget( stackEncAdvanced, "advancedWPAEnterpriseWidget" );
    advancedWPAEnterpriseWidgetLayout = new QGridLayout( advancedWPAEnterpriseWidget, 1, 1, 0, 6, "advancedWPAEnterpriseWidgetLayout"); 

    lblVersion_2_3_2 = new QLabel( advancedWPAEnterpriseWidget, "lblVersion_2_3_2" );

    advancedWPAEnterpriseWidgetLayout->addWidget( lblVersion_2_3_2, 1, 3 );

    EAPleditPrivatePassword = new QLineEdit( advancedWPAEnterpriseWidget, "EAPleditPrivatePassword" );

    advancedWPAEnterpriseWidgetLayout->addMultiCellWidget( EAPleditPrivatePassword, 3, 4, 4, 4 );

    EAPleditPassword = new QLineEdit( advancedWPAEnterpriseWidget, "EAPleditPassword" );
    EAPleditPassword->setEchoMode( QLineEdit::Normal );

    advancedWPAEnterpriseWidgetLayout->addMultiCellWidget( EAPleditPassword, 2, 2, 1, 2 );

    lblVersion_2_2 = new QLabel( advancedWPAEnterpriseWidget, "lblVersion_2_2" );

    advancedWPAEnterpriseWidgetLayout->addWidget( lblVersion_2_2, 0, 0 );

    EAPleditIdentity = new QLineEdit( advancedWPAEnterpriseWidget, "EAPleditIdentity" );
    EAPleditIdentity->setEchoMode( QLineEdit::Normal );

    advancedWPAEnterpriseWidgetLayout->addMultiCellWidget( EAPleditIdentity, 1, 1, 1, 2 );

    lblVersion_2_3 = new QLabel( advancedWPAEnterpriseWidget, "lblVersion_2_3" );

    advancedWPAEnterpriseWidgetLayout->addWidget( lblVersion_2_3, 1, 0 );

    lblVersion_2_4_2_2 = new QLabel( advancedWPAEnterpriseWidget, "lblVersion_2_4_2_2" );

    advancedWPAEnterpriseWidgetLayout->addMultiCellWidget( lblVersion_2_4_2_2, 3, 4, 3, 3 );

    EAPrbWPA1 = new QRadioButton( advancedWPAEnterpriseWidget, "EAPrbWPA1" );
    EAPrbWPA1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)5, 0, 0, EAPrbWPA1->sizePolicy().hasHeightForWidth() ) );
    EAPrbWPA1->setChecked( TRUE );

    advancedWPAEnterpriseWidgetLayout->addMultiCellWidget( EAPrbWPA1, 4, 5, 1, 1 );

    EAPleditAnonIdentity = new QLineEdit( advancedWPAEnterpriseWidget, "EAPleditAnonIdentity" );
    EAPleditAnonIdentity->setEchoMode( QLineEdit::Normal );

    advancedWPAEnterpriseWidgetLayout->addMultiCellWidget( EAPleditAnonIdentity, 3, 3, 1, 2 );

    lblVersion_2 = new QLabel( advancedWPAEnterpriseWidget, "lblVersion_2" );

    advancedWPAEnterpriseWidgetLayout->addMultiCellWidget( lblVersion_2, 4, 5, 0, 0 );

    lblVersion_2_2_2 = new QLabel( advancedWPAEnterpriseWidget, "lblVersion_2_2_2" );

    advancedWPAEnterpriseWidgetLayout->addWidget( lblVersion_2_2_2, 0, 3 );

    EAPcbShow = new QCheckBox( advancedWPAEnterpriseWidget, "EAPcbShow" );

    advancedWPAEnterpriseWidgetLayout->addWidget( EAPcbShow, 5, 4 );

    EAPurlClient = new KURLRequester( advancedWPAEnterpriseWidget, "EAPurlClient" );

    advancedWPAEnterpriseWidgetLayout->addWidget( EAPurlClient, 0, 4 );

    EAPurlPrivate = new KURLRequester( advancedWPAEnterpriseWidget, "EAPurlPrivate" );

    advancedWPAEnterpriseWidgetLayout->addWidget( EAPurlPrivate, 2, 4 );

    EAPrbWPA2 = new QRadioButton( advancedWPAEnterpriseWidget, "EAPrbWPA2" );
    EAPrbWPA2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)5, 0, 0, EAPrbWPA2->sizePolicy().hasHeightForWidth() ) );

    advancedWPAEnterpriseWidgetLayout->addMultiCellWidget( EAPrbWPA2, 4, 5, 2, 2 );

    lblVersion_2_4 = new QLabel( advancedWPAEnterpriseWidget, "lblVersion_2_4" );

    advancedWPAEnterpriseWidgetLayout->addWidget( lblVersion_2_4, 2, 0 );

    lblVersion_2_3_3 = new QLabel( advancedWPAEnterpriseWidget, "lblVersion_2_3_3" );

    advancedWPAEnterpriseWidgetLayout->addWidget( lblVersion_2_3_3, 3, 0 );

    EAPcomboMethod = new QComboBox( FALSE, advancedWPAEnterpriseWidget, "EAPcomboMethod" );
    EAPcomboMethod->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, EAPcomboMethod->sizePolicy().hasHeightForWidth() ) );

    advancedWPAEnterpriseWidgetLayout->addMultiCellWidget( EAPcomboMethod, 0, 0, 1, 2 );

    lblVersion_2_4_2 = new QLabel( advancedWPAEnterpriseWidget, "lblVersion_2_4_2" );

    advancedWPAEnterpriseWidgetLayout->addWidget( lblVersion_2_4_2, 2, 3 );

    EAPurlCA = new KURLRequester( advancedWPAEnterpriseWidget, "EAPurlCA" );

    advancedWPAEnterpriseWidgetLayout->addWidget( EAPurlCA, 1, 4 );
    stackEncAdvanced->addWidget( advancedWPAEnterpriseWidget, 2 );

    groupEncAdvancedLayout->addWidget( stackEncAdvanced, 0, 0 );

    groupEncLayout->addMultiCellWidget( groupEncAdvanced, 2, 2, 0, 1 );

    CryptoWidgetLayout->addWidget( groupEnc, 0, 0 );
    languageChange();
    resize( QSize(545, 276).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( comboEncryption, leditSecret );
    setTabOrder( leditSecret, cbShow );
    setTabOrder( cbShow, EAPcomboMethod );
    setTabOrder( EAPcomboMethod, EAPleditIdentity );
    setTabOrder( EAPleditIdentity, EAPleditPassword );
    setTabOrder( EAPleditPassword, EAPleditAnonIdentity );
    setTabOrder( EAPleditAnonIdentity, EAPrbWPA1 );
    setTabOrder( EAPrbWPA1, EAPrbWPA2 );
    setTabOrder( EAPrbWPA2, EAPurlClient );
    setTabOrder( EAPurlClient, EAPurlCA );
    setTabOrder( EAPurlCA, EAPurlPrivate );
    setTabOrder( EAPurlPrivate, EAPleditPrivatePassword );
    setTabOrder( EAPleditPrivatePassword, EAPcbShow );
    setTabOrder( EAPcbShow, radioButtonWPA1 );
    setTabOrder( radioButtonWPA1, radioButtonWPA2 );
    setTabOrder( radioButtonWPA2, comboProtocol );
    setTabOrder( comboProtocol, comboAuthentication );

    // buddies
    lblEncryption->setBuddy( comboEncryption );
    lblSecret->setBuddy( leditSecret );
    lblVersion->setBuddy( radioButtonWPA1 );
    lblProtocol->setBuddy( comboProtocol );
    lblAuthentication->setBuddy( comboAuthentication );
    lblVersion_2_3_2->setBuddy( EAPurlCA );
    lblVersion_2_2->setBuddy( EAPcomboMethod );
    lblVersion_2_3->setBuddy( EAPleditIdentity );
    lblVersion_2_4_2_2->setBuddy( EAPleditPrivatePassword );
    lblVersion_2->setBuddy( EAPrbWPA1 );
    lblVersion_2_2_2->setBuddy( EAPurlClient );
    lblVersion_2_4->setBuddy( EAPleditPassword );
    lblVersion_2_3_3->setBuddy( EAPleditAnonIdentity );
    lblVersion_2_4_2->setBuddy( EAPurlPrivate );
}

/*
 *  Destroys the object and frees any allocated resources
 */
CryptoWidget::~CryptoWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void CryptoWidget::languageChange()
{
    groupEnc->setTitle( tr2i18n( "&Use Encryption" ) );
    lblEncryption->setText( tr2i18n( "&Encryption:" ) );
    lblSecret->setText( tr2i18n( "&Passphrase:" ) );
    cbShow->setText( tr2i18n( "Show credentials" ) );
    groupEncAdvanced->setTitle( tr2i18n( "Advanced Settings" ) );
    lblVersion->setText( tr2i18n( "WPA &version:" ) );
    lblProtocol->setText( tr2i18n( "WPA &protocol:" ) );
    radioButtonWPA2->setText( tr2i18n( "WPA &2" ) );
    radioButtonWPA2->setAccel( QKeySequence( tr2i18n( "Alt+2" ) ) );
    radioButtonWPA1->setText( tr2i18n( "WPA &1" ) );
    radioButtonWPA1->setAccel( QKeySequence( tr2i18n( "Alt+1" ) ) );
    lblAuthentication->setText( tr2i18n( "&Authentication:" ) );
    comboAuthentication->clear();
    comboAuthentication->insertItem( tr2i18n( "Open System" ) );
    comboAuthentication->insertItem( tr2i18n( "Shared Key" ) );
    lblVersion_2_3_2->setText( tr2i18n( "CA Certificate File:" ) );
    lblVersion_2_2->setText( tr2i18n( "EAP &Method" ) );
    lblVersion_2_3->setText( tr2i18n( "Identity:" ) );
    lblVersion_2_4_2_2->setText( tr2i18n( "Private Key Password:" ) );
    EAPrbWPA1->setText( tr2i18n( "WPA &1" ) );
    EAPrbWPA1->setAccel( QKeySequence( tr2i18n( "Alt+1" ) ) );
    lblVersion_2->setText( tr2i18n( "WPA &version:" ) );
    lblVersion_2_2_2->setText( tr2i18n( "Client Certificate File:" ) );
    EAPcbShow->setText( tr2i18n( "Show credentials" ) );
    EAPcbShow->setAccel( QKeySequence( QString::null ) );
    EAPrbWPA2->setText( tr2i18n( "WPA &2" ) );
    EAPrbWPA2->setAccel( QKeySequence( tr2i18n( "Alt+2" ) ) );
    lblVersion_2_4->setText( tr2i18n( "Password" ) );
    lblVersion_2_3_3->setText( tr2i18n( "Anonymous Identity:" ) );
    EAPcomboMethod->clear();
    EAPcomboMethod->insertItem( tr2i18n( "PEAP" ) );
    EAPcomboMethod->insertItem( tr2i18n( "TLS" ) );
    EAPcomboMethod->insertItem( tr2i18n( "TTLS" ) );
    lblVersion_2_4_2->setText( tr2i18n( "Private Key File:" ) );
}

#include "cryptowidget.moc"
